> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dexxify.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Estimate crypto amount for a fiat payment

> Returns the crypto amount equivalent for a given fiat amount.



## OpenAPI

````yaml /openapi.json post /api/v1/payment-sessions/estimate
openapi: 3.0.0
info:
  title: Dexxify API
  description: >-
    Crypto Infrastructure API for Africa (Wallets, Payouts, Offramp, Onramp,
    KYC, KYB)
  version: '1.0'
  contact:
    name: Dexxify
    url: https://www.dexxify.com
    email: dexxifyhq@gmail.com
servers: []
security: []
tags: []
paths:
  /api/v1/payment-sessions/estimate:
    post:
      tags:
        - Payment Sessions
      summary: Estimate crypto amount for a fiat payment
      description: Returns the crypto amount equivalent for a given fiat amount.
      operationId: PaymentSessionsController_getEstimate
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/EstimatePaymentDto'
      responses:
        '200':
          description: Payment estimate calculated successfully.
        '201':
          description: ''
        '400':
          description: Validation failed or the request body/params were malformed.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '401':
          description: Missing, invalid, or expired authentication.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
      security:
        - api-key: []
components:
  schemas:
    EstimatePaymentDto:
      type: object
      properties:
        crypto_asset:
          type: string
          description: Crypto asset
          enum:
            - BTC
            - TRX
            - BNB
            - TON
            - USDT
            - ETH
            - USDC
            - SOL
        network:
          type: string
          description: Blockchain network
          enum:
            - Bitcoin
            - Binance_Smart_Chain
            - Ethereum
            - Solana
            - Tron
            - Base
            - Arbitrum
            - TON
        amount:
          type: string
          description: Fiat amount
          example: '50000'
        currency:
          type: string
          description: Fiat currency
          example: NGN
        reference:
          type: string
          description: Session reference
          example: cs-abc123
      required:
        - crypto_asset
        - network
        - amount
        - currency
        - reference
    ErrorResponseDto:
      type: object
      properties:
        success:
          type: boolean
          example: false
        status:
          type: number
          example: 400
        message:
          type: string
          example: Validation failed.
        errors:
          type: object
          example:
            - amount must not be less than 0
        timestamp:
          type: string
          example: '2026-09-17T12:00:00.000Z'
      required:
        - success
        - status
        - message
        - timestamp
  securitySchemes:
    api-key:
      scheme: bearer
      bearerFormat: JWT
      type: http
      description: API key for /api/v1/* endpoints

````